package cz.moneta.test.dsl.mwf.generateloginpasswordib;

import cz.moneta.test.harness.support.mwf.ApiVersion;
import cz.moneta.test.harness.support.mwf.MwfRequest;
import cz.moneta.test.harness.support.mwf.Parameter;

@ApiVersion(versionTST1 = "803", versionPPE = "503", versionEDU = "503")
public interface MWFIZ8 extends MwfRequest<MWFIZ8, MWFIZ8Response> {

    @Parameter(name = "CHANNEL")
    MWFIZ8 channel(String channel);
    @Parameter(name = "CIF")
    MWFIZ8 cif(String cif);
    @Parameter(name = "CisloObalky")
    MWFIZ8 cisloObalky(String cisloObalky);
    @Parameter(name = "SendType")
    MWFIZ8 sendType(Long sendType);
    @Parameter(name = "TIMESTAMP")
    MWFIZ8 timestamp(String timestamp);
    @Parameter(name = "UctovatPoplatek")
    MWFIZ8 uctovatPoplatek(String uctovatPoplatek);
    @Parameter(name = "UzivatelID")
    MWFIZ8 uzivatelID(Long uzivatelID);
}